<bugID>1233780<Summary>[e10s] security csp command: unsafe CPOW usage forbidden</Summary><Description>When attempting to use "security csp" via the Developer Toolbar, sometimes I get the error pasted below. This doesn't happen all the time and not 100% reproducable, but I'm getting this pretty often with my current installation of fx.

Front.prototype.send threw an exception: TypeError: this.conn._transport is null
Stack: Front&lt;.send/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/protocol.js:1162:9
Handler.prototype.process@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:933:23
this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:812:7
Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:743:11
this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:775:7
Promise.prototype.then@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:450:5
Front&lt;.send@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/protocol.js:1160:7
Front&lt;.request@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/protocol.js:1180:5
frontProto/&lt;/proto[name]@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/protocol.js:1338:14
addLocalFunctions/&lt;/commandSpec.exec@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/system.js:347:16
Requisition.prototype.exec/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/cli.js:2083:16
createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:239:18
Task_spawn@resource://gre/modules/Task.jsm:164:12
exports.exec@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/util/host.js:71:10
Requisition.prototype.exec@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/cli.js:2082:14
Inputter.prototype._handleReturn@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/mozui/inputter.js:560:12
Inputter.prototype.handleKeyUp@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/mozui/inputter.js:459:1
Inputter.prototype.onKeyUp@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/mozui/inputter.js:431:3
EventListener.handleEvent*Inputter@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/gcli/source/lib/gcli/mozui/inputter.js:54:3
DeveloperToolbar.prototype.show/this._showPromise&lt;/&lt;/&lt;/&lt;@resource://devtools/client/shared/DeveloperToolbar.jsm:427:27
promise callback*DeveloperToolbar.prototype.show/this._showPromise&lt;/&lt;/&lt;@resource://devtools/client/shared/DeveloperToolbar.jsm:417:16
promise callback*DeveloperToolbar.prototype.show/this._showPromise&lt;/&lt;@resource://devtools/client/shared/DeveloperToolbar.jsm:414:14
Handler.prototype.process@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:933:23
Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:743:11
this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:775:7
this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:710:7
OutputPanel.prototype._init/onload@resource://devtools/client/shared/DeveloperToolbar.jsm:887:5
EventListener.handleEvent*OutputPanel.prototype._init@resource://devtools/client/shared/DeveloperToolbar.jsm:889:3
OutputPanel.create@resource://devtools/client/shared/DeveloperToolbar.jsm:814:10
DeveloperToolbar.prototype.show/this._showPromise&lt;@resource://devtools/client/shared/DeveloperToolbar.jsm:402:7
Handler.prototype.process@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:933:23
Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:743:11
this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:775:7
Promise.prototype.then@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:450:5
DeveloperToolbar.prototype.show@resource://devtools/client/shared/DeveloperToolbar.jsm:389:23
DeveloperToolbar.prototype.toggle@resource://devtools/client/shared/DeveloperToolbar.jsm:332:12
oncommand@chrome://browser/content/browser.xul:1:1
Line: 1162, column: 9

STR:

- open the latest m-c (I used BuildID: 20151215030221 Changeset: ae37fdb042c0)
- visited kamiljozwiak.io (or any website with CSP enabled)
- opened the Developer Toolbar via "Hamburger Menu -&gt; Developer"
- typed in "sec" and tabbed to autocomplete "security csp"
- once "security csp" was auto-completed, hit "Enter"</Description></bugID>